# Record TCefStringUtf8

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefStringUtf8 = record`

## Description

CEF utf8 string type definition. Whomever allocates |str| is responsible for providing an appropriate |dtor| implementation that will free the string in the same memory space. When reusing an existing string structure make sure to call |dtor| for the old value before assigning new |str| and |dtor| values. Static strings will have a NULL |dtor| value. Using the below functions if you want this managed for you.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_string_types.h">CEF source file: /include/internal/cef_string_types.h (cef_string_utf8_t))

## Overview

### Fields

| `str: PAnsiChar;`
| `length: NativeUInt;`
| `dtor: procedure(str: PAnsiChar); stdcall;`

## Description

### Fields

| `str: PAnsiChar;`
This item has no description.

| `length: NativeUInt;`
This item has no description.

| `dtor: procedure(str: PAnsiChar); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.